Skip to content

Get Manufacturer

Request

Read a single manufacturer, including every alternative name it is known by.

Security
BearerAuth
Path
manufacturer_idstringrequired

The ID of the manufacturer.

Headers
Acceptstring(ManufacturerAcceptHeader)required

Set this to application/api.luminovo.manufacturer-v1+json.

Value:"application/api.luminovo.manufacturer-v1+json"
GET
/manufacturers/{manufacturer_id}
curl -i -X GET \
  'https://api.luminovo.com/manufacturers/{manufacturer_id}' \
  -H 'Accept: application/api.luminovo.manufacturer-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The manufacturer.

Bodyapplication/json
idstring, (uuid)required
namestringrequired

The primary manufacturer name.

alternative_namesArray of stringsrequired

Additional names and aliases this manufacturer is also known by.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "alternative_names": [ "string" ] }